cordova.define("hy-cordova-plugins-phone.HYPhone", function(require, exports, module) { var exec = require('cordova/exec');

var HYPhone = function () {

}

/**
 * 拨打电话
 *
 * @param phoneNum  电话号码
 * @param type  类型 TYPE:0 调用系统拨号界面; TYPE:1 直接拨打电话
 * @param successCallback
 * @param errorCallback
 */
HYPhone.prototype.callPhone = function (phoneNum, type, successCallback, errorCallback) {
    var win = function (result) {
        successCallback && successCallback(result);
    }
    var fail = function (result) {
        errorCallback && errorCallback(result);
    }
    exec(win, fail, 'HYPhone', 'callPhone', [phoneNum, type]);
};

/**
 * 发送短信
 *
 * @param phoneNum  电话号码
 * @param message 短信内容
 * @param type  类型 TYPE:0 调用系统发送短信界面; TYPE:1 直接发送短信
 * @param successCallback
 * @param errorCallback
 */
HYPhone.prototype.sendMessage = function (phoneNum, message, type, successCallback, errorCallback) {
    var win = function (result) {
        successCallback && successCallback(result);
    }
    var fail = function (result) {
        errorCallback && errorCallback(result);
    }
    exec(win, fail, 'HYPhone', 'sendMessage', [phoneNum, message, type]);
};

/**
 * 获取通话记录
 *
 * @param phoneNum  电话号码
 * @param message 短信内容
 * @param type  类型 TYPE:0 调用系统发送短信界面; TYPE:1 直接发送短信
 * @param successCallback
 * @param errorCallback
 */
HYPhone.prototype.getCallRecordList = function (successCallback, errorCallback,phoneNum) {
	phoneNum = phoneNum || '';
    var win = function (result) {
        successCallback && successCallback(result);
    }
    var fail = function (result) {
        errorCallback && errorCallback(result);
    }
    exec(win, fail, 'HYPhone', 'getCallRecordList', [phoneNum]);
};

module.exports = new HYPhone();

});
